org.wso2.carbon.dataservices.ui.beans

## Class Event

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Event

-     public class Event
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSubscription(String subscription)`
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getExpression()`
    `String` | `getId()`
    `String` | `getLanguage()`
    `List<String>` | `getSubscriptionsList()`
    `String` | `getTargetTopic()`
    `void` | `removeSubscription(String subscription)`
    `void` | `setExpression(String expression)`
    `void` | `setId(String id)`
    `void` | `setLanguage(String language)`
    `void` | `setSubscriptionsList(List<String> subscriptions)`
    `void` | `setTargetTopic(String targetTopic)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### getExpression

          public String getExpression()

    - #### setExpression

          public void setExpression(String expression)

    - #### getTargetTopic

          public String getTargetTopic()

    - #### setTargetTopic

          public void setTargetTopic(String targetTopic)

    - #### getSubscriptionsList

          public List<String> getSubscriptionsList()

    - #### setSubscriptionsList

          public void setSubscriptionsList(List<String> subscriptions)

    - #### removeSubscription

          public void removeSubscription(String subscription)

    - #### addSubscription

          public void addSubscription(String subscription)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.